Query Prometheus Range Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range"
payload = { "query": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'{
"status": "<string>",
"result": [
"<unknown>"
],
"result_type": "<string>",
"total_series": 0,
"truncated": false
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Kubernetes
Query Prometheus Range Endpoint
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
kubernetes
/
metrics
/
query_range
Query Prometheus Range Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range"
payload = { "query": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/metrics/query_range \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'{
"status": "<string>",
"result": [
"<unknown>"
],
"result_type": "<string>",
"total_series": 0,
"truncated": false
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json